models/CheckIn.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "checkin".
 *
 * @property int $id
 * @property int $patient_id
 * @property int $invoice_no
 * @property string $status 0 for active 1 for inactive
 * @property string $created_on
 * @property int $created_by
 * @property string $updated_on
 * @property int $updated_by
 */
class CheckIn extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'checkin';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [[ 'patient_id'], 'required'],
            [[ 'patient_id', 'created_by', 'updated_by'], 'integer'],
            [['status'], 'string'],
            [['created_on', 'updated_on'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'patient_id' => 'Patient',
            'invoice_no' => 'Invoice No',
            'status' => 'Status',
            'created_on' => 'Added On',
            'created_by' => 'Added By',
            'updated_on' => 'Updated On',
            'updated_by' => 'Updated By',
        ];
    }

    public function getUser()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);

    }
    public function getPatient()
    {
        return $this->hasOne(Patient::className(), ['id' => 'patient_id']);

    }
}

controllers/CheckInController.php
<?php

namespace app\controllers;

use app\models\Files;
use Yii;
use app\models\CheckIn;
use app\models\CheckInSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\web\Response;
use yii\widgets\ActiveForm;

/**
 * CheckInController implements the CRUD actions for CheckIn model.
 */
class CheckInController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all CheckIn models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new CheckInSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single CheckIn model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new CheckIn model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new CheckIn();

        $model->created_by = Yii::$app->user->id;
        $model->created_on = date("Y-m-d H:i:s");
        $model->status  = "1";

        $regNo = CheckIn::find()->select('invoice_no')->orderBy(['id'=> SORT_DESC])->one();
        $num = explode("-",$regNo['invoice_no']);
        $num[1]++;
        $model->invoice_no = 'HL-'.$num[1];

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect('index');
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }


    public function actionAttachFile($id)
    {
        return $this->render('attach-file', [
            'model' => $this->findModel($id),
        ]);
    }

    public function actionPrint()
    {
        return $this->renderPartial('print_invoice');
    }

    /**
     * Updates an existing CheckIn model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing CheckIn model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the CheckIn model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return CheckIn the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = CheckIn::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }

    public function actionValidate()
    {

        if($_GET['id'])
        {
            $model = $this->findModel($_GET['id']);
            //$model->scenario = 'update';
        }
        else
        {
            $model = new CheckIn();
            //$model->scenario = 'create';
        }

        $request = \Yii::$app->getRequest();
        if ($request->isPost && $model->load($request->post())) {
            \Yii::$app->response->format = Response::FORMAT_JSON;
            return ActiveForm::validate($model);
        }
    }
}

views/check-in/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\CheckInSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="check-in-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'patient_id') ?>

    <?= $form->field($model, 'invoice_no') ?>

    <?= $form->field($model, 'status') ?>

    <?= $form->field($model, 'created_on') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_on') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/check-in/attach-file.php
<?php
/**
 * Created by PhpStorm.
 * User: Multiline
 * Date: 9/2/2018
 * Time: 9:49 AM
 */

 use dosamigos\fileupload\FileUploadUI;
use yii\widgets\DetailView;
use yii\helpers\Html;
/* @var $this yii\web\View */
/* @var $model app\models\CheckIn */

$this->title = 'Attach Files';

?>
    <section class="card">
    <header class="card-header">

        <h2 class="card-title">Attach Files</h2>

    </header>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered">
                <tbody>
                <tr>
                    <td><strong><span class="text-danger">Invoice Number</span></strong></td>
                    <td><?= $model->invoice_no?></td>
                    <td><strong><span class="text-danger">Added On</span></strong></td>
                    <td>
                        <?= date("d/m/Y H:i A", strtotime($model->created_on));?>


                    </td>
                </tr>
                <tr>
                    <td><strong><span class="text-danger">Patinent Name</span></strong></td>
                    <td><?= $model->patient->name?></td>
                    <td><strong><span class="text-danger">Reg No</span></strong></td>
                    <td><?= $model->patient->reg_no?></td>
                </tr>
                <tr>
                    <td><strong><span class="text-danger">Contact Number</span></strong></td>
                    <td><?= $model->patient->phone_no?></td>
                    <td><strong><span class="text-danger">Age</span></strong></td>
                    <td><?= $model->patient->age?></td>

                </tr>
                <tr>
                    <td><strong><span class="text-danger">Gender</span></strong></td>
                    <td><?= $model->patient->gender?></td>
                    <td><strong><span class="text-danger">RelationShip</span></strong></td>
                    <td><?= $model->patient->relationship?></td>
                </tr>

                <tr>
                    <td><strong><span class="text-danger">Address</span></strong></td>
                    <td><?= $model->patient->address?></td>
                    <td><strong><span class="text-danger">Added By</span></strong></td>
                    <td><?= $model->user->username?></td>
                </tr>

                </tbody>
            </table>





        </div>


        <?= FileUploadUI::widget([
            //'model' => $model,
            'name' => 'Files[file]',
            'url' => ['site/file-upload?check-in='.$model->id.''],
            'formView'=>'@app/views/files/form',
            //'uploadTemplateId'=>'template-upload-custom',
            'downloadTemplateView' => '@app/views/files/download',
            'uploadTemplateView' => '@app/views/files/upload',
            'gallery' => false,
            'fieldOptions' => [
                'accept' => 'image/*'
            ],
            'clientOptions' => [
                //'maxFileSize' => 2000000
            ],
            // ...
            'clientEvents' => [
                'fileuploadadd' => 'function(e, data) {
                                $(".start").removeClass("hidden");
                                $(".cancel").removeClass("hidden");
                                $(".thead").removeClass("hidden");
                                console.log("Waqar");
                                console.log(e);
                                console.log(data);
                            }',
                'fileuploaddrop' => 'function(e, data) {
                                console.log("Ahmed");
                              
                            }',
                'fileuploadsubmit' => 'function(e, data) {
                                var inputs = data.context.find(\':input\');
                                    if (inputs.filter(function () {
                                            return !this.value && $(this).prop(\'required\');
                                        }).first().focus().length) {
                                        data.context.find(\'button\').prop(\'disabled\', false);
                                        return false;
                                    }
                                    data.formData = inputs.serializeArray();

                                }',
            ],
        ]); ?>
<br>
        <br>


        <a class="btn btn-sm btn-default" href="<?= Yii::$app->homeUrl?>check-in">Go Back</a>
    </div>





</section>

views/check-in/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\CheckIn */

$this->title = 'Create Check In';
$this->params['breadcrumbs'][] = ['label' => 'Check Ins', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="check-in-create">

    <!--<h1><?/*= Html::encode($this->title) */?></h1>-->

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/check-in/file.php
<?php
/**
 * Created by PhpStorm.
 * User: Multiline
 * Date: 9/4/2018
 * Time: 2:03 PM
 */


$filesModel = \app\models\Files::find()->where(['checkin_id'=>$model->id])->all();

?>
<style>

    .table-info, .table-info > th, .table-info > td{
        color:#000 !important;
        background-color: white !important;
    }




    .table > thead > tr > td.info, .table > tbody > tr > td.info, .table > tfoot > tr > td.info, .table > thead > tr > th.info, .table > tbody > tr > th.info, .table > tfoot > tr > th.info, .table > thead > tr.info > td, .table > tbody > tr.info > td, .table > tfoot > tr.info > td, .table > thead > tr.info > th, .table > tbody > tr.info > th, .table > tfoot > tr.info > th{
        color:#000 !important;
        background-color: white !important;
    }
</style>

<div class="row">
    <div class="col-md-1">

    </div>
    <div class="col-md-10">
        <table class="table table-responsive-lg table-bordered table-striped table-sm mb-0">
            <thead>
            <tr>
                <th>Sno</th>
                <th>FileName</th>
                <th>Title</th>
                <th>Type</th>
                <th>Size</th>
                <th>Added On</th>
                <th>Added By</th>
                <th class="text-right">Action</th>
            </tr>
            </thead>
            <tbody>
            <?php
            $i = 0;
            foreach ($filesModel as $files)
            {
            $i++;

            ?>
            <tr>

                <td><?= $i?></td>
                <td><?= $files->file_name?></td>
                <td><?= $files->custom_name?></td>
                <td><?= $files->type?></td>
                <td><?= \app\helpers\Helper::getSize($files->size) ?></td>
                <td><?= \app\helpers\Helper::DateTime($files->created_on) ?></td>
                <td><?= \app\helpers\Helper::getCreated($files->created_by)?></td>
                <td class="actions">
                    <a href="<?= \app\helpers\Helper::getBaseUrl()?>files/<?= $model->patient->reg_no?>/<?= $files->file_name?>" class="html5lightbox"><i class="fas fa-play"></i></a>

                    <a href="<?= \app\helpers\Helper::getBaseUrl()?>files/<?= $model->patient->reg_no?>/<?= $files->file_name?>" download><i class="fas fa-download"></i></a>
                    <a href="javascript:void(0)" onclick="edit(<?= $files->id ?>,'<?= $files->custom_name ?>')" ><i class="fas fa-pencil-alt"></i></a>
                    <a href="javascript:void(0)" onclick="del(<?= $files->id ?>)"><i class="far fa-trash-alt"></i></a>
                </td>
            </tr>

            <?php } ?>

            </tbody>
        </table>

    </div>
    <div class="col-md-1">

    </div>
</div>

<script>

    function edit(id,custom ) {
        bootbox.prompt("Update", function(result){

            if(result !== custom)
            {
                $.ajax({
                    url: "<?= Yii::$app->homeUrl?>files/update",
                    type: "POST",
                    data: { name: result,id:id},
                    success: function(result){

                        if(result==true)
                        {
                            bootbox.hideAll();
                            $.pjax.reload({container:'#p0'});
                        }

                    }});

            }

        });

        $('.bootbox-input').val(custom);


    }

    function del(id) {

        bootbox.confirm({
            message: "Are You Sure Delete This?",
            buttons: {
                confirm: {
                    label: 'OK',
                    className: 'btn btn-primary'
                },
                cancel: {
                    label: 'Cancel',
                    className: 'btn btn-default'
                }
            },
            callback: function (result) {
                if(result==true)
                {
                    $.ajax({
                        url: "<?= Yii::$app->homeUrl?>files/delete",
                        type: "POST",
                        data: {id:id},
                        success: function(result){

                            if(result==true)
                            {
                                bootbox.hideAll();
                                $.pjax.reload({container:'#p0'});
                            }

                        }});


                }
            }
        });


    }




</script>

views/check-in/index.php
<?php

use app\models\User;
use kartik\date\DatePicker;
use kartik\select2\Select2;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;
use kartik\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel app\models\CheckInSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Check In';
$this->params['breadcrumbs'][] = $this->title;

function statusLabel($status)
{
    if ($status !='1')
    {
        $label = "<span class=\"highlight-danger\">".Yii::t('app', 'Inactive')."</span>";
    }
    else
    {
        $label = "<span class=\"highlight\">".Yii::t('app', 'Active')."</span>";
    }
    return $label;
}
$status = array('0'=>Yii::t('app', 'Inactive'),'1'=>Yii::t('app', 'Active'));
?>
<div class="check-in-index">


<!--    <h1><?/*= Html::encode($this->title) */?></h1>
-->
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>


    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'responsiveWrap' => false,
        'toolbar' =>  [
            //'{export}',
            '{toggleData}',
        ],
        'export' => [
            'fontAwesome' => true
        ],
        'exportConfig' => [
            GridView::CSV => ['label' => 'Save as CSV', 'icon' => 'file-excel'],
            GridView::EXCEL => ['label' => 'Save as EXCEL'],
            GridView::TEXT => ['label' => 'Save as TEXT'],
            GridView::PDF => ['label' => 'Save as PDF'],

        ],
        'panel' => [
            'type' => GridView::TYPE_PRIMARY,
            'heading' => '<h5 class="card-title"><i class="fa fa-th-list"></i> '.Yii::t ( 'app', 'List' ).' </h5>',
            'before'=>' '.Html::a('<i class="fa fa-sync"></i> '.Yii::t ( 'app', 'Reset List' ), ['index'], ['class' => 'btn btn-info btn-sm']).' ',

            'showFooter' => false,

        ],
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            //'id',
            [
                'headerOptions' => ['style' => 'width:10%','class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'attribute' =>  'created_on',
                'label'=>'Date',
                'value' => function($model){
                    return date("d/m/Y h:i A", strtotime($model->created_on));
                },
                'filterType'=>GridView::FILTER_DATE,
                'filterWidgetOptions'=> [
                    'type' => DatePicker::TYPE_INPUT,
                    'pluginOptions' => [
                        'autoclose'=>true,
                        'format' => 'dd/mm/yyyy',
                    ],
                ],
                //'filter'=>false

            ],
            'invoice_no',
            [
                'headerOptions' => ['class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'attribute' =>  'patient_id',
                'label'=>'Patient Name',
                'value' => 'patient.name',
                //'filter'=>false

            ],
            [
                'headerOptions' => ['class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'attribute' =>  'patient_id',
                'label'=>'Reg ID #',
                'value' => 'patient.reg_no',
                //'filter'=>false

            ],
            [
                'headerOptions' => ['class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'attribute' =>  'patient_id',
                'label'=>'Phone Number',
                'value' => 'patient.phone_no',
                //'filter'=>false

            ],
            [
                'headerOptions' => ['class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'attribute' =>  'patient_id',
                'label'=>'Age',
                'value' => 'patient.age',
                //'filter'=>false

            ],
            [
                'headerOptions' => ['class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'attribute' =>  'patient_id',
                'label'=>'Gender',
                'value' => 'patient.gender',
                //'filter'=>false

            ],

            [
                'headerOptions' => ['class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'attribute' =>  'patient_id',
                'label'=>'Relation Ship',
                'value'=>function($model)
                {
                    if($model->patient->relationship)
                    return $model->patient->relationship . ' ('.$model->patient->relationship_of.') ';
                    else
                        return '';
                }
                //'filter'=>false

            ],
            [
                'attribute'=>'status',
                'width' => '125px',
                'headerOptions' => ['class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'visible'=>\Yii::$app->user->can('deleteView'),
                'value'=>function($model)
                {
                    return statusLabel($model->status);
                },
                'filterType' => \kartik\grid\GridView::FILTER_SELECT2,
                'filter' => [
                    0 => 'Inactive',
                    1 => 'Active',
                ],
                'filterWidgetOptions' => [
                    'theme' => Select2::THEME_BOOTSTRAP,
                    'pluginOptions' => [
                        'allowClear' => true,
                    ],
                ],
                'filterInputOptions' => ['placeholder' => 'All...'],
                'format'=>'raw',
            ],
            [
                'headerOptions' => ['style' => 'width:10%','class' => 'text-center'],
                'attribute' => 'created_by',
                'contentOptions' => ['class' => 'text-center'],
                'value'=>'user.username',
                'filterType' => \kartik\grid\GridView::FILTER_SELECT2,
                'filter' => ArrayHelper::map(User::find()->all(), 'id', 'username'),
                'filterWidgetOptions' => [
                    'theme' => Select2::THEME_BOOTSTRAP,
                    'pluginOptions' => [
                        'allowClear' => true,
                    ],
                ],
                'filterInputOptions' => ['placeholder' => 'All...'],
                'format'=>'raw',

            ],
            [
                'class' => 'kartik\grid\ExpandRowColumn',
                'width' => '80px',
                'header'=>'Files',
                //'enableRowClick'=>true,
                'value' => function ($model, $key, $index, $column) {
                    return GridView::ROW_COLLAPSED;
                },
                'detail' => function ($model, $key, $index, $column) {
                    return Yii::$app->controller->renderPartial('file', ['model' => $model]);
                },
                // 'expandOneOnly' => true,
                'mergeHeader'=>false,
            ],
            /*[
                'headerOptions' => ['style' => 'width:10%','class' => 'text-center'],
                'attribute' => 'created_by',
                'label'=>'Files',
                'width' => '200px',
                'contentOptions' => ['class' => 'text-center'],
                'value' => function ($model, $key, $index, $widget)
                {
                        $users = '<div class="project-people"><div class="popup-gallery">
';
                        $files = \app\models\Files::find()->where(['checkin_id'=>$model->id])->all();

                        foreach ($files as $file) {
                            //$path =  Yii::getAlias('@app/files') . DIRECTORY_SEPARATOR . $model->patient->reg_no . DIRECTORY_SEPARATOR.$file->file_name;
                            $home = Yii::$app->homeUrl;
                            $home = str_replace("/web","/files",$home);
                            $path = $home. $model->patient->reg_no.'/'.$file->file_name;

                            if((strpos($file->type, 'image') !== false)){
                                $image = '<img  class="img-circle" style="width: 35px;height: 40px;"  src="'.$path.'">';

                            }else {
                                $image = '<img  class="img-circle" style="width: 35px;height: 40px;"  src="'.Yii::$app->homeUrl.'images/file.png'.'">';


                            }

                            $first_name = $file->file_name;
                            $last_name = $file->custom_name;
                            $username = $file->type;

                            //$users .= $image;

                            $users .= ' <a  href="'.$path.'"   data-toggle="hover" data-placement="top" data-content="' . $first_name . ' ' . $last_name . ' (' .$username. ')">' . $image . '</a>';
                        }
                        $users .= '</div></div>';
                        return $users;

                },

                'filterType' => \kartik\grid\GridView::FILTER_SELECT2,
                'filter' => ArrayHelper::map(User::find()->all(), 'id', 'username'),
                'filterWidgetOptions' => [
                    'theme' => Select2::THEME_BOOTSTRAP,
                    'pluginOptions' => [
                        'allowClear' => true,
                    ],
                ],
                'filterInputOptions' => ['placeholder' => 'All...'],
                'format'=>'raw',

            ],*/

            //'updated_on',
            //'updated_by',
            [

                //'attribute' =>  'created_on',
                'header'=>'Last Update',
                'headerOptions' => ['style' => 'width:10%','class' => 'text-center'],
                'contentOptions' => ['class' => 'text-center'],
                'format'=>'raw',
                'visible'=> \Yii::$app->user->can('check-in/last-update'),
                'value' => function($model){
                    if($model->updated_by)
                    {
                        return date("d/m/Y h:i A", strtotime($model->updated_on)).'<br>'.\app\helpers\Helper::getUser($model->updated_by);

                    }else
                    {
                        return '';
                    }
                },
                //'filter'=>false

            ],

            [
                'class' => '\kartik\grid\ActionColumn',
                'template'=>'{attach}  {bill}   {delete}',
                'buttons' => [
                    'delete' => function ($url, $model, $key) {
                        if (\Yii::$app->user->can('check-in/delete')) {
                            return Html::a('<span class="fas fa-trash"></span>', $url,
                                [
                                    'title' => Yii::t('app', 'Delete'),
                                    'data-pjax' => '1',
                                    'data' => [
                                        'method' => 'post',
                                        'confirm' => Yii::t('app', 'Are You Sure To Delete ?'),
                                        'pjax' => 1,],
                                ]
                            );
                        }
                    },
                    'bill' => function ($url, $model)

                    {
                        if(\Yii::$app->user->can('site/print-bill')){
                            return '<a href="'.Yii::$app->homeUrl.'site/print-bill?id='.$model->id.'" target="_blank"><span class="fa fa-file"></span></a>';

                        }else
                        {
                            return '';
                        }
                    } ,
                    'update' => function ($url, $model)

                    {
                        if(\Yii::$app->user->can('check-in/update')){
                            return '<a href="#"><span class="fa fa-pencil-alt"  onclick="updateRecord('.$model->id.',\'patient\',\'Update Patient\',event)"></span></a>';

                        }else
                        {
                            return '';
                        }
                    } ,
                    'attach' => function ($url, $model)

                    {
                        if(\Yii::$app->user->can('check-in/attach-file')){
                            return '<a href="'.Yii::$app->homeUrl.'check-in/attach-file?id='.$model->id.'"><span class="fas fa-paperclip mr-2 "></span></a>';

                        }else
                        {
                            return '';
                        }
                    } ,


                ],
            ],
            //'created_by',
            //'updated_on',
            //'updated_by',

        ],
    ]); ?>

</div>

views/check-in/print_invoice.php
<!DOCTYPE html>
<html>
<head>
    <title>Print Bill</title>
    <link rel="stylesheet" type='text/css' href="<?=Yii::$app->homeUrl?>css/boot.min.css">
    <link rel="stylesheet" type='text/css' href="<?=Yii::$app->homeUrl?>css/print_bill.css">

</head>

<body class="font">
<page size="A4" style="height: 7.7cm;">
    <div class="container">

        <div style="margin-top: 140px">



        <span style="margin-left: 80px;">HL-2918</span>
        <span style="float: right;margin-right: 80px">18/08/2019</span>

        </div>
    </div>

</page>
</body>

</html>

views/check-in/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\CheckIn */

$this->title = 'Update Check In: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Check Ins', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="check-in-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/check-in/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\CheckIn */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Check Ins', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="check-in-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'patient_id',
            'invoice_no',
            'status',
            'created_on',
            'created_by',
            'updated_on',
            'updated_by',
        ],
    ]) ?>

</div>